

layout(location = 0, index = 0) out vec4 out_color0;

uniform sampler2D tex;
uniform vec4 color;

in vec2 texcoord0;

void main()
{
	vec4 samplecol = texture( tex, texcoord0 );
	out_color0 = samplecol * color;
}
